dbplus_sql
dbplus_tremove
DB++ Functions
PHP Manual

# dbplus_tcl

(PHP 4 >= 4.0.7, PECL dbplus:0.9)

dbplus_tcl — Execute TCL code on server side

### Description

string dbplus_tcl ( int `$sid` , string `$script` )

A db++ server will prepare a TCL interpreter for each client connection. This interpreter will enable the server to execute TCL code provided by the client as a sort of stored procedures to improve the performance of database operations by avoiding client/server data transfers and context switches.

dbplus_tcl() needs to pass the client connection id the TCL `script` code should be executed by. dbplus_resolve() will provide this connection id. The function will return whatever the TCL code returns or a TCL error message if the TCL code fails.

### Parameters

`sid`

`script`

### Return Values

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### See Also

- dbplus_resolve()

dbplus_sql
dbplus_tremove
DB++ Functions
PHP Manual